# Kairoscope Website 2021

New website for [Kairoscope.net](http://kairoscope.net) to substitute the old **kairoscope-landing-page** project.

This website is build with hexo and deployed as a static files.

### Commands

```bash
# Install the Repo
git clone https://git.kairoscope.net/company/kairoscope-website-2021.git
cd kairoscope-website-2021
npm install
# Start a development server
hexo server
# Build files to /dist folder
hexo build
# Deploy build files (not implemented)
hexo deploy
```

### Tasks

- [x] Add Trailer to game layout page

- [x] Game long description in game layout page

- [x] Presskit page

- [x] Grid Miner content
  
  - [x] Hero image
  
  - [x] Logo
  
  - [x] Cover
  
  - [x] Screenshots
  
  - [x] Short description
  
  - [x] Long description

- [x] Newsletter form better visuals

- [x] Hello world post

- [x] Max Raider launch post

- [x] Grid Miner announcement post

- [x] Vue App
  
  - [x] Newsletter signup function
  
  - [x] Mixpanel analytics
  
  - [x] install tracking
  
  - [x] track page load 
    *Landing page view, Game page view, Presskit page view*
  
  - [x] Track *Newsletter Signup*, *Newsletter Invalid Email* and *Newsletter Error*
  
  - [x] Track *External Link*
  
  - [x] Track *Media Downloaded*
  
  - [x] Newsletter success / error / loading

- [x] Test all Links

- [x] Add media to presskit (logo, hero, thumbnail, icon, developer and publisher logos)

- [x] Footer links

- [x] Better landing page hero

- [x] Blog page

- [x] Games page

- [x] Mobile / responsive design review

- [x] Contact form page

- [x] Contact message functions

- [x] Track *Contact Message Sent*, *Contact Message Invalid* and *Contact Message Error*

- [x] Presskits page

- [x] Kairoscope presskit

- [x] Newsletter signup page

- [x] Deploy

- [ ] Set correct API URLs

- [ ] Grid Miner alternative Newsletter Signup with reward (Mini Crusher card)

- [ ] feedback message and newsletter signup ``origin`` field 
  *sent from website or a game?*

- [ ] Blog post thumbnails

- [ ] About the team section

- [ ] Each newsletter page signups to a different list

- [ ] Page metadata for SEO and social media

- [ ] When user signups to newsletter or sends a message, save email to cookie

- [ ] use cookie email to signup user in mixpanel

- [ ] when site loads, look for email cookie and setup mixpanel

- [ ] Thumbnail images for game screenshots

- [ ] Banner image file sizes are too big